/** 
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of ADC_Data_Read demo for the TOSHIBA
 *          'TMPM366' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/**
  * @brief  main function
  * @param  None
  * @retval None
  */
int main(void)
{
    /* Initialize system */
    SIO_Configuration(UART0);
    SIO_ChInit();
    
    ADC_Init();                 /* Initialize the ADC module */
    ADC_Start();                /* Start ADC */
    
    /* enable SIO0 trx interrupt */
    NVIC_EnableIRQ(INTTX0_IRQn);
    /* enable AD interrupt */
    NVIC_EnableIRQ(INTAD_IRQn);

    while (1) {
        if (fIntADC == 1U) {
            fIntADC = 0U;
            ADC_Display();
        }
    }
}

/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */
#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
