/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of CG_ModeSwitch demo for the TOSHIBA
 *          'TMPM366' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "TMPM366.h"
#include "tmpm366_cg.h"
#include "tmpm366_gpio.h"
#include "tmpm366_int.h"
#include <string.h>
#include <stdio.h>
#include "cg.h"
/* Private typedef -----------------------------------------------------------*/
typedef enum { SLEEP = 0, WAKE = 1 } SYSSTAT;
/* Private define ------------------------------------------------------------*/
#define TSW_PORT        GPIO_PD
#define TSWBITS         0x02U
#define TSWRELEASE      0x02U      /* KEYRELEASE */
/* For Toggle Switch */
#define TSW1 0x00U


/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
extern SYSSTAT fSysSleep;

/* External function prototypes ----------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void PrintCode(char *, uint16_t, uint32_t);
void Delay(uint32_t time);
void GPIO_SetINT(void);
#endif
/*********************************** END OF FILE ******************************/
